{% extends "dashboard/base.html" %}
{% load i18n %}
{% load bootstrap %}
{% load static %}
{% load bootstrap_pagination %}
{% load general_tags %}
{% block stylesheet %}
<link rel="stylesheet" type="text/css" href="{% static 'css/plugins/sweetalert/sweetalert.css' %}">
{% endblock stylesheet %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Docentes" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Docentes" %}</strong>
            </li>

        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-md-12">
        <div class="ibox float-e-margins">
            <div class="ibox-content">
            <div class="row">
                <div class="col-md-10">
                    <h2>{% trans "Docente"%}</h2>
                </div>
                <div class="col-md-2">
                    <a href="{% url 'teacher_add' %}" class="btn btn-primary btn-lg pull-right"><span class="glyphicon glyphicon-plus"></span> {% trans "Agregar" %}</a>
                </div>
            </div>

            <div class="input-group">
                <input type="text" placeholder="{% trans 'Buscar Docente' %}" class="input form-control">
                <span class="input-group-btn">
                        <button type="button" class="btn btn btn-info"> 
                        <i class="fa fa-search"></i> Buscar</button>
                </span>
            </div>


<!--             <div class="input-group">

                <form>
                    <div class="typeahead__container">
                        <div class="typeahead__field">

                        <span class="typeahead__query">
                           <div class="input-group">
                                    <input type="search" placeholder="{% trans 'Buscar Estudiante' %}" class="input form-control js-typeahead-input" name="q" autofocus autocomplete="off">
                                    <span class="input-group-btn">
                                            <button type="button" class="btn btn btn-info"> 
                                            <i class="fa fa-search"></i> Buscar</button>
                                    </span>
                            </div>
                            <span class="pull-right"><a href="">{% trans "Búsqueda avanzada"%}</a></span>
                        </span>

                        </div>
                    </div>
                </form>

            </div> -->

            {% if messages %}
                {% for message in messages %}
                    <div {% if message.tags %} class="alert alert-{{ message.tags }} alert-dismissable" {% endif %}>
                        <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
                        {{ message }}
                    </div>
                {% endfor %}
            {% endif %}
            <div class="clients-list">
            <div class="tab-content">                    
                <div class="full-height-scroll">
                    <div class="table-responsive">
                        <table class="table table-striped table-hover">
                            <thead>
                                <tr>                                         
                                    <th>{% trans "Avatar"%}</th>
                                    <th>{% trans "Nombre"%}</th>
                                    <th>{% trans "Proyecto Actual" %}</th>
                                    <th>{% trans "Estado"%}</th>
                                    <th>{% trans "Email" %}</th>
                                    <th>{% trans "Acciones" %}</th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for teacher in object_list %}
                            <tr>
                                <td class="client-avatar"><a href="{% url 'teacher_view' teacher.pk %}"><img alt="image" src="/media/{{teacher.avatar}}"></a></td>
                                <td><a href="{% url 'teacher_view' teacher.pk %}" class="client-link">{{teacher.user.first_name}} {{teacher.user.last_name}}</a></td>                                        
                                <td class="col-md-2"><small>{{teacher.project.name}}</small></td>
                                <td class="client-status"><span class="label label-primary">{{teacher.user.is_active|set_status_icon}}</span></td>
                                <td class="col-md-3 project-completion">                                 
                                    <small>{{teacher.user.email}}</small>
                                    <br>
                                </td>
                                <td class="col-md-3 project-actions " style="text-align:left">
                                    <a href="{% url 'teacher_view' teacher.pk %}" class="btn btn-info btn-sm"><i class="fa fa-info-circle"></i> {% trans "Ver" %} </a>   
                                    <a class="delete btn btn-danger btn-sm" href="{% url 'teacher_delete' teacher.pk %}" data-fullname="{{teacher.user.first_name}} {{teacher.user.last_name}}"><i class="fa fa-trash"></i> {% trans "Borrar" %} </a> 
                                </td>
                            </tr>
                            {% endfor %}
                            
                           
                            </tbody>
                        </table>
                    </div><!-- end table responsive -->
                </div>
                    <div class="pull-right">
                        {% bootstrap_paginate object_list range=10 show_prev_next="false" show_first_last="true" %}
                    </div>  
                </div>

            </div><!-- tab-content -->
            </div><!-- cliuents list -->

        </div><!-- ibox content -->
    </div>
</div>
{% endblock content %}

{% block javascript %}

<script src="{% static 'js/plugins/dataTables/datatables.min.js' %}"></script>
<script src="{% static 'js/plugins/sweetalert/sweetalert.min.js' %}"></script>

<!-- Page-Level Scripts -->
<script>
    $(document).ready(function(){

        $('.delete').click(function (event){
            event.preventDefault();         
            var url_delete = $(this).attr('href');
            swal({
                title: "¿Está seguro que desea eliminar a " + $(this).data('fullname') + "?",
                text: "No podrá volver atrás",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Sí, deseo eliminarlo",
                closeOnConfirm: false
            }, function () {
                swal("Eliminado!", "Docente eliminado.", "success");
                window.location.href = url_delete;
            });
        });

        

    });

</script>

{% endblock javascript %}